/installment-plans

Create an installment plan

When you send this API request, our system will create an installment-plan that replaces any scheduled
payments you may have on the loans involved in this installment-plan. Once fully processed, the
installment-plan reaches the SCHEDULED status with its payment intents in PROPOSED status, ready to
be executed.

Key Parameters:
As the loan request is a complex operation, it has many parameters. The most important ones are:

  • payment method (SCT or Direct debit)
  • amount (in cents)
  • debited account information in case of direct debit
  • installments
  • loans and their amounts
  • installment date
  • payment reference

Behavior

The endpoint returns 201 immediately with the installment-plan in DRAFT status. Cancelation of the
previous scheduled plans on the same loans, creation of payment intents, and activation of the new
plan happen asynchronously in a background task — poll the resource to observe the transition to
SCHEDULED. Retrying with the same salt_id returns the existing plan (dedup); when salt_id is
omitted, it is derived from the sorted loan_ids.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
from_account
object | null
installments
array of objects
required
installments*
string
enum
required
Allowed:
string | null
Defaults to null
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*